<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>
  <xs:element name="DHCPC">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
      
      
      <xs:element name="DHCPCConfig" minOccurs="0">
          <xs:complexType>            
          <xs:all>
            <xs:element name="DadEnable" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="DSCP" minOccurs="0" nillable="true">
              <xs:complexType>
                <xs:simpleContent>
                  <xs:restriction base="base:UnsignedInteger32">
                    <xs:minInclusive value="0"></xs:minInclusive>
                    <xs:maxInclusive value="63"></xs:maxInclusive>
                  </xs:restriction>
                </xs:simpleContent>
              </xs:complexType>
            </xs:element>
          </xs:all>
           <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
  
        
        <xs:element name="DHCPAlloc" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Alloc" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                                    
                    <xs:element name="AllocEnable" minOccurs="0" type="base:Boolean" nillable="true">
                   </xs:element> 
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="DHCPClientID" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClientID" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                                    
                   <xs:element name="ASCII" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="1"></xs:minLength>
			                      <xs:maxLength value="63"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element>  
                    <xs:element name="Hex" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="4"></xs:minLength>
			                      <xs:maxLength value="64"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element> 
                    <xs:element name="ClientIfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                  
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        
        <xs:element name="BootpAlloc" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Alloc" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                                    
                    <xs:element name="AllocEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                      
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        
      </xs:choice>	     
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>